#ifndef _SRVXML_H_
#define _SRVXML_H_

#include <qstring.h>
#include <qxml.h>

class ServiceManager;
class Service;

class SrvXMLParser : public QXmlDefaultHandler
{
public:
	SrvXMLParser(ServiceManager* service_manager) : sm(service_manager) { s = 0; str = 0;}
        bool startDocument();
        bool startElement( const QString&, const QString&, const QString& ,
                           const QXmlAttributes& );
        bool endElement( const QString&, const QString&, const QString& );
        bool characters ( const QString & ch );
	
private:
        QString indent;
	Service* s;
	QString* str;	
	ServiceManager* sm;
	bool chinese;
};


#endif /* _SRVXML_H_ */
